<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.jeesite.modules.admin.wenjuan.dao.AdminQuestionOptionDao">
	
	<!-- 查询数据
	<select id="findList" resultType="AdminQuestionOption">
		SELECT ${sqlMap.column.toSql()}
		FROM ${sqlMap.table.toSql()}
		<where>
			${sqlMap.where.toSql()}
		</where>
		ORDER BY ${sqlMap.order.toSql()}
	</select> -->

	<resultMap type="com.jeesite.modules.admin.wenjuan.entity.AdminQuestionOption" id="AdminQuestionOptionResult">
		<result property="questionoptionId" column="questionoption_id"/><!--主键ID-->
		<!--		<result property="questionitemId" column="questionitem_id"/>&lt;!&ndash;问卷调查ID&ndash;&gt;-->
		<result property="title" column="title"/><!--标题-->
		<result property="content" column="content"/><!--内容-->
		<result property="isInput" column="is_input"/><!--是否为输入框(0:是 1:否)-->
		<result property="isEssay" column="is_essay"/><!--是否问答题(0 true 1false)-->
		<result property="count" column="count"/><!--得票数-->
		<result property="seq" column="seq"/><!--排序-->
		<result property="createBy" column="create_by"/><!--创建者-->
		<result property="createDate" column="create_date"/><!--创建时间-->
		<result property="updateBy" column="update_by"/><!--更新者-->
		<result property="updateDate" column="update_date"/><!--更新时间-->
		<result property="remarks" column="remarks"/><!--备注-->
	</resultMap>

	<!-- 根据问卷调查项ID ——》 查询 问卷调查选项表 -->
	<select id="selectQOptionList" resultMap="AdminQuestionOptionResult">
		SELECT
			*
		FROM
			admin_question_option
		WHERE
			questionitem_id = #{questionitemId}
	</select>
</mapper>